Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Typedefs
nkf.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <utime.h>`
`#include <langinfo.h>`
`#include <locale.h>`

Go to the source code of this file.

## Macros
#define | MIME_DECODE_DEFAULT STRICT_MIME
#define | X0201_DEFAULT TRUE
#define | DEFAULT_NEWLINE 0x0A
#define | HELP_OUTPUT stdout
#define | NKF_INT32_C(n) (n)
#define | setbinmode(fp) (void)(fp)
#define | setvbuffer(fp, buf, size) setbuffer(fp, buf, size)
#define | DEFAULT_CODE_LOCALE
#define | HAVE_LANGINFO_H
#define | HAVE_LOCALE_H
#define | FALSE 0
#define | TRUE 1
#define | ARG_UNUSED

## Typedefs
typedef int | nkf_char

## Macro Definition Documentation

## ◆ ARG_UNUSED

#define ARG_UNUSED

Definition at line 181 of file nkf.h.

## ◆ DEFAULT_CODE_LOCALE

#define DEFAULT_CODE_LOCALE

Definition at line 137 of file nkf.h.

## ◆ DEFAULT_NEWLINE

#define DEFAULT_NEWLINE 0x0A

Definition at line 22 of file nkf.h.

## ◆ FALSE

#define FALSE 0

Definition at line 174 of file nkf.h.

## ◆ HAVE_LANGINFO_H

#define HAVE_LANGINFO_H

Definition at line 158 of file nkf.h.

## ◆ HAVE_LOCALE_H

#define HAVE_LOCALE_H

Definition at line 161 of file nkf.h.

## ◆ HELP_OUTPUT

#define HELP_OUTPUT stdout

Definition at line 27 of file nkf.h.

## ◆ MIME_DECODE_DEFAULT

#define MIME_DECODE_DEFAULT STRICT_MIME

Definition at line 13 of file nkf.h.

## ◆ NKF_INT32_C

#define NKF_INT32_C | ( |  | n | ) | (n)

Definition at line 39 of file nkf.h.

## ◆ setbinmode

#define setbinmode | ( |  | fp | ) | (void)(fp)

Definition at line 85 of file nkf.h.

## ◆ setvbuffer

#define setvbuffer | ( |  | fp,
|  |  | buf,
|  |  | size
| ) |  | setbuffer(fp, buf, size)

Definition at line 91 of file nkf.h.

## ◆ TRUE

#define TRUE 1

Definition at line 175 of file nkf.h.

## ◆ X0201_DEFAULT

#define X0201_DEFAULT TRUE

Definition at line 16 of file nkf.h.

## Typedef Documentation

## ◆ nkf_char

typedef int nkf_char

Definition at line 38 of file nkf.h.